@font-face {
    font-family: 'Prompt', sans-serif;
    src: url('https://fonts.googleapis.com/css2?family=Prompt:wght@300;500&display=swap');
}

body {
    margin: 0 0 80px 0;
    padding: 0;
    font-family: 'Prompt',sans-serif;
    font-size: 14px;
}

.font-bar {
    font-family: 'Prompt', sans-serif;
    font-size: 0.8em;
    float: left;
}

/* center */
.center {
    display: flex;
    align-items: center;
}

/* background color */
.bg-default {
    background-color: #E8EFF9;
}
.bg-blueblack {
    background-color: #29405F;
}
.bg-red {
    background-color: #DC4935;
}
.blueblack {
    color: #29405F;
}

/* Bootstrap icon */
.icons {
    display: grid;
    max-width: 100%;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr) );
    gap: 1.25rem;
  }
  .icon {
    background-color: var(--bs-light);
    border-radius: .25rem;
  }
  .bi {
    margin: .25rem;
    font-size: 2.5rem;
  }
  .mi {
    margin: .25rem;
    font-size: 2.1rem;
  }
  .fi {
    font-size: 1.6rem;
  }
  
/* icon input form */
.icon-span {
  position: absolute;
  padding: 10px;
  pointer-events: none;
  color: rgb(97, 96, 96);
}
.left-addon input  { padding-left:  30px; }
.right-addon input { padding-right: 30px; }

/* border size */
.border-5{
    border-style: solid;
    border-width: 5px !important;
}

/* border detail */
.border-de {
    display: block;
    width: 50%;
    height: auto;
    float: left;
  }

 /* btn menu */
 .btn-mainMenu {
	background:linear-gradient(to bottom, #ffffff 5%, #f6f6f6 100%);
	background-color:#ffffff;
	border-radius:6px;
	border:1px solid #dcdcdc;
    width: 100%;
	display:inline-block;
	cursor:pointer;
	color:#29405F;
	padding: 1em;
	text-decoration:none;
    margin-top: 1em;
} 

/* btn personal-menu */
 .btn-perMenu {
	background:linear-gradient(to bottom, #ffffff 5%, #f6f6f6 100%);
	background-color:#ffffff;
	border-radius:6px;
	border:1px solid #29405F;
    width: 100%;
	display:inline-block;
	cursor:pointer;
	color:#29405F;
	padding: 1em;
	text-decoration:none;
    text-align: left;
}

/* btn uploadfile */
.btn-fileUpload {
	background-color:#29405F;
	border-radius:6px;
    width: 100%;
	display:inline-block;
	cursor:pointer;
	color:#ffffff;
	padding: 1em;
	text-decoration:none;
}
.btn-fileUpload input {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    right: 0;
    top: 0;
  }
.icon-up{
    width: 15%;
    text-align: center;
    float: left;
    font-size: 1.4rem;
    border-right: 1px solid #ffffff;
    padding-right: 10px;
}
.text-up{
    width: 85%;
    text-align: center;
    float: left;
    font-size: 1.0rem;
    padding-top: 5px;
}

/* date */
.border-date {
	background:linear-gradient(to bottom, #ffffff 5%, #f6f6f6 100%);
	background-color:#ffffff;
	border-radius:6px;
	border:1px solid #29405F;
    width: 60%;
	display:inline-block;
	color:#29405F;
	padding: 1em;
	text-decoration:none;
    text-align: center;
    font-size: 2em;
    margin-left: 20%;
}

/* footer menu */
.foot-nav {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 70px;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.2);
    background-color: #ffffff;
    display: flex;
    overflow-x: auto;
}
.foot-nav-link {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-grow: 1;
    min-width: 50px;
    overflow: hidden;
    white-space: nowrap;
    font-family: 'Prompt',sans-serif;
    font-size: 12px;
    color: #444444;
    text-decoration: none;
    -webkit-tap-highlight-color: transparent;
    transition: background-color 0.1s ease-in-out;
}
.foot-nav-text {
    margin-top: -7px;
}
.foot-nav-active {
    color: #ffffff;
    background-color: #29405F ;
    text-decoration: none;
}
.foot-nav-link:hover {
    color: #ffffff;
    background-color: #29405F ;
    text-decoration: none;
}

.notification {
    position: absolute;
    /*  margin-top: -35px;
    margin-right: -25px;*/
    margin-top: -15px;
    margin-right: -35px;
    display: flex;
    border-radius: 50%;
    min-width: 22px;
    height: 22px;
    justify-content: center;
    align-items: center;
    background-color: #da1818;
    box-shadow: 0px 0px 12px #aeaaea;
}

.notification .number {
    color: white;
    font-size: 12px;
}

.btn-collapse {
    position: relative;
    float: right;
    margin-right: 10px;
    margin-top: -33px;
}

.btn-collapse a {
    color: #ffffff;
}

.modal-backdrop
{
    opacity : 0.5;
}